View Issue Details

IDProjectCategoryLast Update
0022375AI War 2SuggestionJul 16, 2021 10:22 pm
ReporterDaniexpert Assigned Tox4000Bughunter  
Severityfeature 
Status resolvedResolutionfixed 
Product Version1.017 Random AI Types 
Fixed in Version2.715 Unload Queuing 
Summary0022375: Queuing unload command for fleets
DescriptionIt would be really useful to have the possibility to queue the unload command for fleets. Right now, if I'm queuing move orders for a fleet, and press the unload key, the transport will immediately start unloading the ships, which is not useful if I'm trying to multitask more fleets on more planets.
TagsNo tags attached.

Relationships

related to 0022188 resolvedx4000Bughunter Unload Move Command 
related to 0022054 resolvedx4000Bughunter Unload move hotkey for transports 
related to 0021798 resolvedx4000Bughunter Suggestion: Queue Load/Unload order with shift-L and shift-U 

Activities

x4000Bughunter

Jan 11, 2021 5:10 pm

administrator   ~0060279

Thanks!

* Something we had thought was not really going to be possible in the game, now is implemented: the queuing of some certain kinds of orders after movement, attack, traverse-wormhole, or whatever.
** The new commands that are supported basically use any of the existing buttons or hotkeys as usual, but you hold shift to append them to the end of the commands you already have in place. If you have no commands queued up already, then it will just do the thing immediately.
** Unload Transport
*** So for instance, give a some move orders to a distant planet, and at the end of that keep holding shift and press U (or click the interface button. The transport will unload when it gets there.
*** Note that Load Transport is NOT supported. This requires all of the ships to actually get loaded properly in, potentially from other planets, and the checking for that is both really complicated and also hopefully a far less common case.
** Set Pursuit Mode on or off
** Set Attack-Move Mode on or off
** Set Stop-To-Shoot Mode on or of
** So, for instance you can give some regular move orders to one side of a planet, then give a regular attack order, then have it turn on (or off) attack-move mode.
*** We can't think of any use cases for turning off a mode like this at a destination, but it is possible.
*** We also can't really think of any use cases for turning ON a mode like this at a destination, because ships will follow your direct move and attack orders even when in attack-move mode, which is functionally identical to the use case here. But it does exist now, in cases it's useful.
** The ability to unload transports at the destination is a big deal, at any rate, since there was no way to have that happen in an automated fashion before.

Issue History

Date Modified Username Field Change
Dec 17, 2019 9:15 am Daniexpert New Issue
Dec 17, 2019 9:43 am RocketAssistedPuffin Relationship added related to 0022188
Dec 17, 2019 9:43 am RocketAssistedPuffin Relationship added related to 0022054
Dec 17, 2019 9:44 am RocketAssistedPuffin Relationship added related to 0021798
Jan 11, 2021 5:10 pm x4000Bughunter Assigned To => x4000Bughunter
Jan 11, 2021 5:10 pm x4000Bughunter Status new => resolved
Jan 11, 2021 5:10 pm x4000Bughunter Resolution open => fixed
Jan 11, 2021 5:10 pm x4000Bughunter Fixed in Version => 2.715 Unload Queuing
Jan 11, 2021 5:10 pm x4000Bughunter Note Added: 0060279